#
# Conditional build:
%bcond_with	tests	# perform "make check" (requires mounted /proc)
#
Summary:	GNU libsigsegv - handling page faults in user mode
Summary(pl.UTF-8):	GNU libsigsegv - obsługa błędów segmentacji na poziomie użytkownika
Name:		libsigsegv
Version:	2.10
Release:	1
License:	GPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz
# Source0-md5:	7f96fb1f65b3b8cbc1582fb7be774f0f
URL:		http://libsigsegv.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a
useful technique for implementing:
- pageable virtual memory,
- memory-mapped access to persistent databases,
- generational garbage collectors,
- stack overflow handlers,
- distributed shared memory,
- ...

%description -l pl.UTF-8
Biblioteka obsługuje błędy obsługi stron na poziomie użytkownika. Błąd
strony pojawia się gdy program próbuje dostać się do aktualnie
niedostępnego obszaru pamięci. Zbieranie i obsługa błędów stron jest
użyteczną techniką do implementacji:
- stronicowalnej pamięci wirtualnej
- mapowalnej pamięci baz danych
- generowania odśmiecaczy
- błędów przepełnienia stosu
- rozproszonej pamięci współdzielonej
- ...

%prep
%setup -q

%build
CXXFLAGS="%{rpmcxxflags} -fPIC"
CFLAGS="%{rpmcflags} -fPIC"
%configure
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/sigsegv.h
%{_libdir}/libsigsegv.a
%{_libdir}/libsigsegv.la
%changelog
* Fri Aug 01 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libsigsegv.git;a=log;h=master

* Mon Apr 04 2011 Jakub Bogusz <qboosh@pld-linux.org> fd35039
- updated to 2.10

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 861b09d
- updated to 2.9

* Sun Dec 13 2009 sparky <sparky@pld-linux.org> 11e7476
- updated to 2.8

* Sat Mar 21 2009 pawelz <pawelz@pld-linux.org> e197768
- new URL

* Wed Mar 11 2009 Jan Rękorajski <baggins@pld-linux.org> 038da35
- rel 2
- here lies smalltalk problem, recompile with -fPIC

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 0ebbe80
- updated to 2.6

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> c11658a
- updated to 2.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a9b30b3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4d71c5d
- converted to UTF-8

* Wed Jun 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 893fa59
- updated to 2.4

* Sat May 13 2006 Jakub Bogusz <qboosh@pld-linux.org> c03b878
- updated to 2.3 (with gcc4 support)

* Fri Mar 04 2005 Jakub Bogusz <qboosh@pld-linux.org> d4bc919
- updated to 2.2

* Wed Aug 18 2004 havner <havner@pld-linux.org> e927dba
- fixed config.sub
- rel 3

* Wed Aug 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 99a1966
- BR: automake

* Wed Aug 18 2004 domelu <domelu@pld-linux.org> b012faf
- config.sub
- rel 2

* Fri Dec 05 2003 Jakub Bogusz <qboosh@pld-linux.org> 6f1d9cf
- tests work on alpha, but require mounted /proc; bcond added (off by default)
- cleanups

* Thu Dec 04 2003 undefine <undefine@pld-linux.org> c389f8d
- disable make check on alphas

* Thu Dec 04 2003 undefine <undefine@pld-linux.org> 48ddd52
- initital pld version, TODO: ac/am

